$LOAD_PATH.unshift File.expand_path('../../lib', __FILE__)
require "geld"

rates_eur = { "BRL" => 3.63, "USD" => 1.12 }

puts "EUR => #{rates_eur}"

Geld::Money.convertion_rates("EUR", rates_eur)

m1 = Geld::Money.new(10, "BRL")
puts "m1 is #{m1.inspect}"
puts "m1 is #{m1.convert_to("USD").inspect}"

m2 = Geld::Money.new(99.10, "EUR")
puts "m2 is #{m2.inspect}"
puts "m2 is #{m2.convert_to("BRL").inspect}"

m3 = Geld::Money.new(14.67, "USD")
puts "m3 is #{m3.inspect}"
puts "m3 is #{m3.convert_to("BRL").inspect}"

puts "m1 + m2 is #{(m1 + m2).inspect}"
puts "m1 - m3 is #{(m1 - m3).inspect}"
puts "m2 * m3 is #{(m2 * m3).inspect}"
puts "m3 / m1 is #{(m3 / m1).inspect}"
